### Function

# GimpUi grid_attach_aligned

unstable since: 3.0

#### Declaration [src]

    GtkWidget*
    gimp_grid_attach_aligned (
      GtkGrid* grid,
      gint left,
      gint top,
      const gchar* label_text,
      gfloat label_xalign,
      gfloat label_yalign,
      GtkWidget* widget,
      gint widget_columns
    )

#### Description [src]

Note that the `label_text` can be `NULL` and that the widget will be attached starting at (`column` + 1) in this case, too.

Available since: 3.0

#### Parameters

`grid`

  Type: `GtkGrid`

  The `GtkGrid` the widgets will be attached to.

  The data is owned by the caller of the function.

`left`

  Type: `gint`

  The column to start with.

`top`

  Type: `gint`

  The row to attach the widgets.

`label_text`

  Type: `const gchar*`

  The text for the `GtkLabel` which will be attached left of the widget.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label_xalign`

  Type: `gfloat`

  The horizontal alignment of the `GtkLabel`.

`label_yalign`

  Type: `gfloat`

  The vertical alignment of the `GtkLabel`.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` to attach right of the label.

  The data is owned by the caller of the function.

`widget_columns`

  Type: `gint`

  The number of columns the widget will use.

#### Return value

Type: `GtkWidget`

The created `GtkLabel`.

The data is owned by the called function.